> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korbit.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar revisão da oferta

> Cria uma revisão da oferta para alterar condições com histórico preservado. A revisão só passa a valer quando [publicada](#).



## OpenAPI

````yaml /openapi/korbit-public-v1.json post /v1/offers/{id}/revisions
openapi: 3.1.0
info:
  title: Korbit API
  version: 1.0.0
  description: >-
    API de pagamentos da Korbit para merchants: PIX, cartão (com 3DS),
    assinaturas, checkout por link, payouts, antecipações e refunds — com
    idempotência, webhooks assinados e ambiente sandbox.
  contact:
    name: Suporte Korbit
    email: suporte@korbit.com.br
servers:
  - url: https://api.korbit.com.br
    description: Produção (chaves kbt_live_)
  - url: https://api-test.korbit.com.br
    description: Sandbox (chaves kbt_test_)
security:
  - bearerAuth: []
tags:
  - name: Antecipações
  - name: Assinaturas
  - name: Atividade
  - name: Catálogo
  - name: Chaves de API
  - name: Checkout
  - name: Clientes e Pedidos
  - name: Pagamentos
  - name: Refunds e Disputas
  - name: Saldo e Saques
  - name: Sandbox
  - name: Webhooks
paths:
  /v1/offers/{id}/revisions:
    post:
      tags:
        - Catálogo
      summary: Criar revisão da oferta
      description: >-
        Cria uma revisão da oferta para alterar condições com histórico
        preservado. A revisão só passa a valer quando [publicada](#).
      operationId: reviseCommerceOffer
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
        - schema:
            type: string
            minLength: 1
            maxLength: 255
          in: header
          name: idempotency-key
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - acceptedPaymentMethods
                - name
                - priceId
              properties:
                acceptedPaymentMethods:
                  type: array
                  minItems: 1
                  uniqueItems: true
                  items:
                    type: string
                    enum:
                      - PIX
                      - CARD
                bumpOfferIds:
                  type: array
                  maxItems: 3
                  uniqueItems: true
                  items:
                    type: string
                    format: uuid
                checkoutEnabled:
                  type: boolean
                planCadenceMonths:
                  type: integer
                  enum:
                    - 3
                    - 6
                    - 12
                name:
                  type: string
                  minLength: 1
                  maxLength: 200
                priceId:
                  type: string
                  format: uuid
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - acceptedPaymentMethods
                  - bumpOfferIds
                  - checkoutEnabled
                  - planCadenceMonths
                  - checkoutPath
                  - checkoutUrl
                  - createdAt
                  - id
                  - name
                  - priceId
                  - productId
                  - publicCode
                  - publishedAt
                  - status
                  - updatedAt
                properties:
                  acceptedPaymentMethods:
                    type: array
                    minItems: 1
                    uniqueItems: true
                    items:
                      type: string
                      enum:
                        - PIX
                        - CARD
                  bumpOfferIds:
                    type: array
                    maxItems: 3
                    uniqueItems: true
                    items:
                      type: string
                      format: uuid
                  checkoutEnabled:
                    type: boolean
                  planCadenceMonths:
                    anyOf:
                      - type: integer
                        enum:
                          - 3
                          - 6
                          - 12
                      - type: 'null'
                  checkoutPath:
                    anyOf:
                      - type: string
                        maxLength: 128
                      - type: 'null'
                  checkoutUrl:
                    anyOf:
                      - type: string
                        format: uri
                        maxLength: 512
                      - type: 'null'
                  createdAt:
                    type: string
                    format: date-time
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                    minLength: 1
                    maxLength: 200
                  priceId:
                    type: string
                    format: uuid
                  productId:
                    type: string
                    format: uuid
                  publicCode:
                    type: string
                    minLength: 20
                    maxLength: 64
                  publishedAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  status:
                    type: string
                    enum:
                      - DRAFT
                      - PUBLISHED
                      - ARCHIVED
                  updatedAt:
                    type: string
                    format: date-time
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - acceptedPaymentMethods
                  - bumpOfferIds
                  - checkoutEnabled
                  - planCadenceMonths
                  - checkoutPath
                  - checkoutUrl
                  - createdAt
                  - id
                  - name
                  - priceId
                  - productId
                  - publicCode
                  - publishedAt
                  - status
                  - updatedAt
                properties:
                  acceptedPaymentMethods:
                    type: array
                    minItems: 1
                    uniqueItems: true
                    items:
                      type: string
                      enum:
                        - PIX
                        - CARD
                  bumpOfferIds:
                    type: array
                    maxItems: 3
                    uniqueItems: true
                    items:
                      type: string
                      format: uuid
                  checkoutEnabled:
                    type: boolean
                  planCadenceMonths:
                    anyOf:
                      - type: integer
                        enum:
                          - 3
                          - 6
                          - 12
                      - type: 'null'
                  checkoutPath:
                    anyOf:
                      - type: string
                        maxLength: 128
                      - type: 'null'
                  checkoutUrl:
                    anyOf:
                      - type: string
                        format: uri
                        maxLength: 512
                      - type: 'null'
                  createdAt:
                    type: string
                    format: date-time
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                    minLength: 1
                    maxLength: 200
                  priceId:
                    type: string
                    format: uuid
                  productId:
                    type: string
                    format: uuid
                  publicCode:
                    type: string
                    minLength: 20
                    maxLength: 64
                  publishedAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  status:
                    type: string
                    enum:
                      - DRAFT
                      - PUBLISHED
                      - ARCHIVED
                  updatedAt:
                    type: string
                    format: date-time
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '409':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Korbit API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.